Update an existing record
curl --request PATCH \
--url https://app.nex.ai/api/developers/v1/records/{record_id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"attributes": {
"job_title": "Senior Engineer",
"location": {
"city": "Boston",
"region": "MA",
"country": "US"
},
"phone_number": {
"country_code": 1,
"number": "5551234567"
}
}
}
'import requests
url = "https://app.nex.ai/api/developers/v1/records/{record_id}"
payload = { "attributes": {
"job_title": "Senior Engineer",
"location": {
"city": "Boston",
"region": "MA",
"country": "US"
},
"phone_number": {
"country_code": 1,
"number": "5551234567"
}
} }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
attributes: {
job_title: 'Senior Engineer',
location: {city: 'Boston', region: 'MA', country: 'US'},
phone_number: {country_code: 1, number: '5551234567'}
}
})
};
fetch('https://app.nex.ai/api/developers/v1/records/{record_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.nex.ai/api/developers/v1/records/{record_id}"
payload := strings.NewReader("{\n \"attributes\": {\n \"job_title\": \"Senior Engineer\",\n \"location\": {\n \"city\": \"Boston\",\n \"region\": \"MA\",\n \"country\": \"US\"\n },\n \"phone_number\": {\n \"country_code\": 1,\n \"number\": \"5551234567\"\n }\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "32414268188027655",
"object_id": "32414268188027650",
"type": "person",
"workspace_id": "32414268188027645",
"created_at": "2024-01-15T14:20:00Z",
"updated_at": "2024-01-21T11:45:00Z",
"attributes": {
"name": {
"first_name": "John",
"last_name": "Doe"
},
"email_addresses": [
"john@example.com"
],
"job_title": "Senior Engineer",
"phone_number": {
"country_code": 1,
"number": "5551234567"
},
"location": {
"city": "Boston",
"region": "MA",
"country": "US"
}
}
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}Records
Update an existing record
Updates specific attributes of an existing record
PATCH
/
v1
/
records
/
{record_id}
Update an existing record
curl --request PATCH \
--url https://app.nex.ai/api/developers/v1/records/{record_id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"attributes": {
"job_title": "Senior Engineer",
"location": {
"city": "Boston",
"region": "MA",
"country": "US"
},
"phone_number": {
"country_code": 1,
"number": "5551234567"
}
}
}
'import requests
url = "https://app.nex.ai/api/developers/v1/records/{record_id}"
payload = { "attributes": {
"job_title": "Senior Engineer",
"location": {
"city": "Boston",
"region": "MA",
"country": "US"
},
"phone_number": {
"country_code": 1,
"number": "5551234567"
}
} }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
attributes: {
job_title: 'Senior Engineer',
location: {city: 'Boston', region: 'MA', country: 'US'},
phone_number: {country_code: 1, number: '5551234567'}
}
})
};
fetch('https://app.nex.ai/api/developers/v1/records/{record_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.nex.ai/api/developers/v1/records/{record_id}"
payload := strings.NewReader("{\n \"attributes\": {\n \"job_title\": \"Senior Engineer\",\n \"location\": {\n \"city\": \"Boston\",\n \"region\": \"MA\",\n \"country\": \"US\"\n },\n \"phone_number\": {\n \"country_code\": 1,\n \"number\": \"5551234567\"\n }\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "32414268188027655",
"object_id": "32414268188027650",
"type": "person",
"workspace_id": "32414268188027645",
"created_at": "2024-01-15T14:20:00Z",
"updated_at": "2024-01-21T11:45:00Z",
"attributes": {
"name": {
"first_name": "John",
"last_name": "Doe"
},
"email_addresses": [
"john@example.com"
],
"job_title": "Senior Engineer",
"phone_number": {
"country_code": 1,
"number": "5551234567"
},
"location": {
"city": "Boston",
"region": "MA",
"country": "US"
}
}
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}Authorizations
API key for authentication (format: "Bearer YOUR_API_KEY")
Path Parameters
Record ID
Body
application/json
Attributes to update
Last modified on August 19, 2025
⌘I